summaryrefslogtreecommitdiffstats
path: root/source/ap/mpg123
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/mpg123')
-rwxr-xr-xsource/ap/mpg123/mpg123.SlackBuild14
-rw-r--r--source/ap/mpg123/slack-desc2
2 files changed, 8 insertions, 8 deletions
diff --git a/source/ap/mpg123/mpg123.SlackBuild b/source/ap/mpg123/mpg123.SlackBuild
index 414ebdb9d..f76c8055d 100755
--- a/source/ap/mpg123/mpg123.SlackBuild
+++ b/source/ap/mpg123/mpg123.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2006-2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,7 +29,7 @@ NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -40,8 +40,8 @@ CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
TARGET="x86"
elif [ "$ARCH" = "s390" ]; then
@@ -103,10 +103,10 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/${PKGNAM}-$VERSION \
--with-cpu=$TARGET \
- --with-audio=alsa,oss \
- --with-default-audio=alsa \
+ --with-audio=alsa,oss,sdl,pulse \
+ --with-default-audio=pulse \
--with-optimization=2 \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
diff --git a/source/ap/mpg123/slack-desc b/source/ap/mpg123/slack-desc
index 00bd3478e..ff1508eae 100644
--- a/source/ap/mpg123/slack-desc
+++ b/source/ap/mpg123/slack-desc
@@ -13,7 +13,7 @@ mpg123: layers 1, 2, and 3 (MPEG 1.0 layer 3 aka MP3 most commonly tested).
mpg123:
mpg123: It is free software licensed under LGPL 2.1.
mpg123:
-mpg123: Homepage: http://mpg123.org/
+mpg123: Homepage: http://mpg123.org/
mpg123:
mpg123:
mpg123: